Subject: Re:Re: [PATCH] ftgmac100: Hold reference returned by of_get_child_by_name()

From: "Liang He" <[email-masked]>
Date: Thu, 7 Jul 2022 09:28:34 +0800 (CST)

At 2022-07-07 00:34:59, "Jakub Kicinski" <[email-masked]> wrote:
>On Wed, 6 Jul 2022 16:55:37 +0800 (CST) Liang He wrote:
>> >Since we don't care about the value of the node we should add a helper
>> >which checks for presence of the node and releases the reference,
>> >rather than have to do that in this large function.
>> >
>> >Please also add a Fixes tag.  
>> 
>> Hi, Jakub,
>> 
>> Can you tell me where to add such helper?
>> 
>> you mean add a helper in of.h for common usasge or just add it in this file?
>
>I was wondering about that. Since this is a fix let's keep it simple
>and add the helper directly in the same source file.
>

Thanks, I will first make a quick patch for this bug.

>If you have more time to spend on this try searching around the tree to
>see if there are more places where such helper would help. If there are
>we can move the helper to of.h and convert the users in -next.

Yes, I have found many similar bugs and sent many similar patches, I would like 
try to make a common helper in of.h.

Thanks, 

Liang